<!DOCTYPE html>
<html>
<head>

	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">


	

	<link rel="stylesheet" 
		href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/css/bootstrap.min.css" 
		integrity="sha384-zCbKRCUGaJDkqS1kPbPd7TveP5iyJE0EjAuZQTgFLD2ylzuqKfdKlfG/eSrtxUkn" 
		crossorigin="anonymous">

	<title>Bootstrap Flex</title>

	<link rel="stylesheet" type="text/css" href="index.css">



</head>

<body>
	<div class="container">
		<div class="row">
			<div class="col-md mx-md-auto bg-warning">
				<h1 class="text-center">Bootstrap Flex</h1>
			</div>

		</div>
		<!-- row -->
	</div>
	<!-- container -->


	<div class="container">

		<h4 class="text-center">Flex row</h4>
		<div class="d-flex flex-row bg-dark mb-4">
			<div class="bg-primary p-2">Flex 1</div>
			<div class="bg-success p-2">Flex 2</div>
			<div class="bg-danger p-2">Flex 3</div>
		</div>

		<h4 class="text-center">Flex row Reverse</h4>
		<div class="d-flex flex-row-reverse bg-dark mb-4">
			<div class="bg-primary p-2">Flex 1</div>
			<div class="bg-success p-2">Flex 2</div>
			<div class="bg-danger p-2">Flex 3</div>
		</div>

		<h4 class="text-center">Flex Column</h4>
		<div class="d-flex flex-column bg-dark mb-4">
			<div class="bg-primary p-2">Flex 1</div>
			<div class="bg-success p-2">Flex 2</div>
			<div class="bg-danger p-2">Flex 3</div>
		</div>

		<h4 class="text-center">Flex Column Reverse</h4>
		<div class="d-flex flex-column-reverse bg-dark mb-4">
			<div class="bg-primary p-2">Flex 1</div>
			<div class="bg-success p-2">Flex 2</div>
			<div class="bg-danger p-2">Flex 3</div>
		</div>

		<h4 class="text-center">Flex Column with Span</h4>
		<div class="d-flex flex-column bg-dark mb-4">
			<span class="bg-primary pt-2">flex 1</span>
			<span class="bg-success pt-2">flex 2</span>
			<span class="bg-warning pt-2">flex 3</span>
		</div>

		<h4 class="text-center">Flex Column with Span</h4>
		<div class="d-flex flex-row bg-dark mb-4">
			<span class="bg-primary pt-2">flex 1</span>
			<span class="bg-success pt-2">flex 2</span>
			<span class="bg-warning pt-2">flex 3</span>
		</div>

			<hr>
		<h2 class="text-center bg-warning my-5">Justify Content</h2>

		<h4 class="text-center">Justify Content Start</h4>
		<div class="d-flex flex-row justify-content-start bg-dark mb-4">
			<div class="bg-primary p-2">Flex 1</div>
			<div class="bg-success p-2">Flex 2</div>
			<div class="bg-danger p-2">Flex 3</div>
		</div>

		<h4 class="text-center">Justify Content Start reverse</h4>
		<div class="d-flex flex-row-reverse justify-content-start bg-dark mb-4">
			<div class="bg-primary p-2">Flex 1</div>
			<div class="bg-success p-2">Flex 2</div>
			<div class="bg-danger p-2">Flex 3</div>
		</div>

		<h4 class="text-center">Justify Content end</h4>
		<div class="d-flex flex-row justify-content-end bg-dark mb-4">
			<div class="bg-primary p-2">Flex 1</div>
			<div class="bg-success p-2">Flex 2</div>
			<div class="bg-danger p-2">Flex 3</div>
		</div>

		<h4 class="text-center">Justify Content end reverse</h4>
		<div class="d-flex flex-row-reverse justify-content-end bg-dark mb-4">
			<div class="bg-primary p-2">Flex 1</div>
			<div class="bg-success p-2">Flex 2</div>
			<div class="bg-danger p-2">Flex 3</div>
		</div>

		<h4 class="text-center">Justify Content Center</h4>
		<div class="d-flex flex-row justify-content-center bg-dark mb-4">
			<div class="bg-primary p-2">Flex 1</div>
			<div class="bg-success p-2">Flex 2</div>
			<div class="bg-danger p-2">Flex 3</div>
		</div>

		<h4 class="text-center">Justify Content Center Reverse</h4>
		<div class="d-flex flex-row-reverse justify-content-center bg-dark mb-4">
			<div class="bg-primary p-2">Flex 1</div>
			<div class="bg-success p-2">Flex 2</div>
			<div class="bg-danger p-2">Flex 3</div>
		</div>

		<h4 class="text-center">Justify Content Center Column</h4>
		<div class="d-flex flex-column justify-content-center bg-dark mb-4">
			<div class="bg-primary p-2">Flex 1</div>
			<div class="bg-success p-2">Flex 2</div>
			<div class="bg-danger p-2">Flex 3</div>
		</div>

		<h4 class="text-center">Justify Content Center Column</h4>
		<div class="d-flex flex-column-reverse justify-content-center bg-dark mb-4">
			<div class="bg-primary p-2">Flex 1</div>
			<div class="bg-success p-2">Flex 2</div>
			<div class="bg-danger p-2">Flex 3</div>
		</div>

		<h4 class="text-center">Justify Content between</h4>
		<div class="d-flex flex-row justify-content-between bg-dark mb-4">
			<div class="bg-primary p-2">Flex 1</div>
			<div class="bg-success p-2">Flex 2</div>
			<div class="bg-danger p-2">Flex 3</div>
		</div>

		<h4 class="text-center">Justify Content between reverse</h4>
		<div class="d-flex flex-row-reverse justify-content-between bg-dark mb-4">
			<div class="bg-primary p-2">Flex 1</div>
			<div class="bg-success p-2">Flex 2</div>
			<div class="bg-danger p-2">Flex 3</div>
		</div>

		<h4 class="text-center">Justify Content around</h4>
		<div class="d-flex flex-row justify-content-around bg-dark mb-4">
			<div class="bg-primary p-2">Flex 1</div>
			<div class="bg-success p-2">Flex 2</div>
			<div class="bg-danger p-2">Flex 3</div>
		</div>

		<h4 class="text-center">Justify Content around reverse</h4>
		<div class="d-flex flex-row-reverse justify-content-around bg-dark mb-4">
			<div class="bg-primary p-2">Flex 1</div>
			<div class="bg-success p-2">Flex 2</div>
			<div class="bg-danger p-2">Flex 3</div>
		</div>

		<h4 class="text-center">Justify Content around flex wrap</h4>
		<div class="d-flex flex-row justify-content-around flex-wrap bg-dark mb-4">
			<div class="bg-primary p-2">Flex 1</div>
			<div class="bg-success p-2">Flex 2</div>
			<div class="bg-danger p-2">Flex 3</div>
		</div>

	</div>

	


	<!-- container2 -->
	<div class="container">	
			<h2 class="	text-center">Align Items</h2>
		<h4 class="	text-center">align items start</h4>
		<div class="d-flex flex-row align-items-center  bg-dark mb-4">
			<div class="bg-primary p-2">Flex 1</div>
			<div class="bg-success p-2">Flex 2</div>
			<div class="bg-danger p-2">Flex 3</div>
		</div>

		<h4 class="	text-center">align items end</h4>
		<div class="d-flex flex-column align-items-end bg-dark mb-4">
			<div class="bg-primary p-2">Flex 1</div>
			<div class="bg-success p-2">Flex 2</div>
			<div class="bg-danger p-2">Flex 3</div>
		</div>

		<h4 class="	text-center">align items center</h4>
		<div class="d-flex flex-column align-items-center bg-dark mb-4">
			<div class="bg-primary p-2">Flex 1</div>
			<div class="bg-success p-2">Flex 2</div>
			<div class="bg-danger p-2">Flex 3</div>
		</div>





	</div>
	<!-- container2 -->










<!-- JAVASCRIPT DEPENDENCIES -->
	<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" 
		integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" 
		crossorigin="anonymous">
	</script>
	
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.bundle.min.js" 
		integrity="sha384-fQybjgWLrvvRgtW6bFlB7jaZrFsaBXjsOMm/tB9LTS58ONXgqbR9W8oWht/amnpF" 
		crossorigin="anonymous">
	</script>

</body>


</html> 
